Subject: Re: [PATCH xfrm-next 5/9] net/mlx5e: Unify esw and normal IPsec status table creation/destruction

From: Leon Romanovsky <[email-masked]>
Date: Tue, 17 Oct 2023 15:13:57 +0300

On Tue, Oct 17, 2023 at 11:38:51AM +0200, Steffen Klassert wrote:
> On Mon, Oct 16, 2023 at 12:15:13PM +0300, Leon Romanovsky wrote:
> > From: Patrisious Haddad <[email-masked]>
> > 
> > Change normal IPsec flow to use the same creation/destruction functions
> > for status flow table as that of ESW, which first of all refines the
> > code to have less code duplication.
> > 
> > And more importantly, the ESW status table handles IPsec syndrome
> > checks at steering by HW, which is more efficient than the previous
> > behaviour we had where it was copied to WQE meta data and checked
> > by the driver.
> > 
> > Signed-off-by: Patrisious Haddad <[email-masked]>
> > Signed-off-by: Leon Romanovsky <[email-masked]>
> 
> This one does not apply to the ipsec-next tree.

You are right, sorry about that. It is based on two net-next series
and I didn't expect such a fast response. 

1. https://lore.kernel.org/netdev/[email-masked]/ - accepted.
2. https://lore.kernel.org/netdev/[email-masked]/#t - not accepted yet.

Do you feel comfortable with the series/xfrm patches? If yes, Saeed can
resend the series directly to net-next once patch #2 is accepted.

Thanks